<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>random</title>

    <style>
        html {
            font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        label,form {
            -webkit-text-stroke: 1px black;
            padding: 20px;
        }
        .lastResult{
            padding: 15px;
           
        }
    </style>
</head>

<body>

    <div class="form-enter">
        <label for="nameField">Enter student name: </label><input type="text" id="nameField" class="nameField">

    </div>

    <form action="/action_page.php">
        English<input type="radio" name="language" id="language_english" value="english">Thai<input type="radio"
            name="language" id="language_thai" value="thai">

    </form>
    <input type="submit" value="Generate random words" class="genRandom">

    <div class="resultParas">
        
        <p class="lastResult"></p>

    </div>

</body>

<script>
    var engWords = ['is good looking', 'is broad-minded', 'is sensible', 'is easygoing', 'is funny'];
    var thaiWords = ['เป็นคนใจดี', 'เป็นคนใจกว้าง', 'เป็นคนมีเหตุผล', 'เป็นคนง่ายๆสบายๆ', 'เป็นคนตลก'];
    
    var name = document.querySelector('.name');
    var nameField = document.querySelector('.nameField');
    var language = document.querySelector('.language');
    var lastResult = document.querySelector('.lastResult');
    var genRandom = document.querySelector('.genRandom');

    function checkStudent() {
        var randomAdjective = "";
        var userStudent = String(nameField.value);
        lastResult.textContent = userStudent;

        if(document.getElementById('language_english').checked) {
            var randomAdjective = engWords[Math.floor(Math.random()*engWords.length)];
            

        }else if(document.getElementById('language_thai').checked) {
            var randomAdjective = thaiWords[Math.floor(Math.random()*engWords.length)];
           
        }
        lastResult.textContent += ' '+ randomAdjective;
        lastResult.style.backgroundColor = 'yellow';
    }
    genRandom.addEventListener('click', checkStudent);

</script>

</html>